data:extend({
  
{
	type = "technology",
	name = "electric-energy-accumulators-2",
	icon = "__base__/graphics/technology/electric-energy-acumulators.png",
	prerequisites = {"electric-energy-accumulators-1"},
	upgrade = true,
	effects =
	{
		{
			type = "unlock-recipe",
			recipe = "accumulator-mk2"
		}
	},
	unit =
	{
		count = 150,
		ingredients =
		{
			{"science-pack-1", 2},
			{"science-pack-2", 1},
			{"science-pack-3", 1}
		},
		time = 60
	},
	order = "c-e-a"
},

{
	type = "technology",
	name = "electric-energy-accumulators-3",
	icon = "__base__/graphics/technology/electric-energy-acumulators.png",
	prerequisites = {"electric-energy-accumulators-2"},
	upgrade = true,
	effects =
	{
		{
			type = "unlock-recipe",
			recipe = "accumulator-mk3"
		}
	},
	unit =
	{
		count = 250,
		ingredients =
		{
			{"science-pack-1", 2},
			{"science-pack-2", 2},
			{"science-pack-3", 1}
		},
		time = 90
	},
	order = "c-e-b"
},
  
{
	type = "technology",
	name = "electric-energy-accumulators-4",
	icon = "__base__/graphics/technology/electric-energy-acumulators.png",
	prerequisites = {"electric-energy-accumulators-3"},
	upgrade = true,
	effects =
	{
		{
			type = "unlock-recipe",
			recipe = "accumulator-mk4"
		}
	},
	unit =
	{
		count = 250,
		ingredients =
		{
			{"science-pack-1", 4},
			{"science-pack-2", 4},
			{"science-pack-3", 2},
			{"alien-science-pack", 1}
		},
		time = 120
	},
	order = "c-e-c"
},

{
	type = "technology",
	name = "electric-energy-accumulators-5",
	icon = "__base__/graphics/technology/electric-energy-acumulators.png",
	prerequisites = {"electric-energy-accumulators-4"},
	upgrade = true,
	effects =
	{
		{
			type = "unlock-recipe",
			recipe = "accumulator-mk5"
		}
	},
	unit =
	{
		count = 270,
		ingredients =
		{
			{"science-pack-1", 8},
			{"science-pack-2", 4},
			{"science-pack-3", 4},
			{"alien-science-pack", 2}
		},
		time = 140
	},
	order = "c-e-d"
}
  
})