data:extend({

{
	type = "technology",
	name = "solar-energy-2",
	icon = "__base__/graphics/technology/solar-energy.png",
	effects =
	{
		{
			type = "unlock-recipe",
			recipe = "solar-panel-mk2"
		}
	},
	prerequisites = {"solar-energy"},
	upgrade = true,
	unit =
	{
		count = 150,
		ingredients =
		{
			{"science-pack-1", 2},
			{"science-pack-2", 1}
		},
		time = 45
	},
	order = "a-h-d[2]",
},

{
	type = "technology",
	name = "solar-energy-3",
	icon = "__base__/graphics/technology/solar-energy.png",
	effects =
	{
		{
			type = "unlock-recipe",
			recipe = "solar-panel-mk3"
		}
	},
	prerequisites = {"solar-energy-2"},
	upgrade = true,
	unit =
	{
		count = 150,
		ingredients =
		{
			{"science-pack-1", 2},
			{"science-pack-2", 2},
			{"science-pack-3", 1}
		},
		time = 60
	},
	order = "a-h-d[3]",
},

{
	type = "technology",
	name = "solar-energy-4",
	icon = "__base__/graphics/technology/solar-energy.png",
	effects =
	{
		{
			type = "unlock-recipe",
			recipe = "solar-panel-mk4"
		}
	},
	prerequisites = {"solar-energy-3"},
	upgrade = true,
	unit =
	{
		count = 200,
		ingredients =
		{
			{"science-pack-1", 4},
			{"science-pack-2", 2},
			{"science-pack-3", 2},
			{"alien-science-pack", 1}
		},
		time = 90
	},
	order = "a-h-d[4]",
},

{
	type = "technology",
	name = "solar-energy-5",
	icon = "__base__/graphics/technology/solar-energy.png",
	effects =
	{
		{
			type = "unlock-recipe",
			recipe = "solar-panel-mk5"
		}
	},
	prerequisites = {"solar-energy-4"},
	upgrade = true,
	unit =
	{
		count = 200,
		ingredients =
		{
			{"science-pack-1", 8},
			{"science-pack-2", 6},
			{"science-pack-3", 4},
			{"alien-science-pack", 2}
		},
		time = 120
	},
	order = "a-h-d[5]",
 }
  
})